patch for the tldk.yaml 90/7290/4
authorqun wan <qun.wan@intel.com>
Fri, 23 Jun 2017 02:32:24 +0000 (22:32 -0400)
committerqun wan <qun.wan@intel.com>
Tue, 27 Jun 2017 03:35:02 +0000 (23:35 -0400)
Change-Id: Ia143d86b5159f11e26193542e8dd0449c4f741e2
Signed-off-by: qun wan <qun.wan@intel.com>
jjb/tldk/include-raw-csit-tldk-functional-virl.sh
jjb/tldk/tldk.yaml

index 1f57e82..0192a12 100644 (file)
@@ -1,13 +1,22 @@
 #!/bin/bash
 set -xeu -o pipefail
 
+# Clone tldk and start tests
+git clone https://gerrit.fd.io/r/tldk
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
+    exit 1
+fi
+
 # Clone csit and start tests
 git clone https://gerrit.fd.io/r/csit
 
 # If the git clone fails, complain clearly and exit
 if [ $? != 0 ]; then
     echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
-exit
+    exit 1
 fi
 
 cd csit
index 3f86e96..766e0a7 100644 (file)
             build-timeout: '{build-timeout}'
 
     triggers:
-        - gerrit-trigger-patch-submitted:
+        - gerrit-trigger-manually-triggered:
             name: '{project}'
             branch: '{branch}'
+            comment-trigger-value: 'verify-tldk-func'
 
     builders:
         - shell: